mcp-http Binding
Bindingmcp-httpproxy
mcp-http Binding
The proxy kind mcp-http binding accepts mcp streams and produces http streams. It terminates tools/list, resources/list, and resources/templates/list from configuration, and expands tools/call and resources/read into upstream http requests.
proxy
Behave as an mcp-http proxy.
mcp_http_proxy:
type: mcp-http
kind: proxy
options:
authorization:
my_guard:
credentials:
headers:
authorization: Bearer {credentials}
tools:
create_pr:
description: Create a pull request to merge one branch into another.
summary: "Created pull request #${result.number}"
schemas:
input:
model: json
catalog:
my_catalog:
- subject: create_pr_params
version: latest
output:
model: json
catalog:
my_catalog:
- subject: create_pr_result
version: latest
resources:
order:
uri: "order://{orderId}"
description: Customer order by identifier
mimeType: application/json
schemas:
output:
model: json
catalog:
my_catalog:
- subject: order_result
version: latest
routes:
- when:
- tool: create_pr
exit: http_client
with:
headers:
":method": POST
":scheme": https
":authority": api.github.com
":path": /repos/${args.owner}/${args.repo}/pulls
body:
model: json
catalog:
my_catalog:
- subject: create_pr_body
version: latest
- when:
- resource: order
exit: http_client
with:
headers:
":method": GET
":scheme": https
":authority": api.orders.internal
":path": /orders/${params.orderId}
